Subject: Re: pdb-l: Looking for a program_II

From: Edward Berry <[email-masked]>
Date: Fri, 20 Dec 2002 21:08:35 +0100

FyD wrote:
> Dear Edward Berry, Dear All,
> 
> 
>>How do you want to specify the 'modification of orientation'
>>in a non-graphical program? If you can specify a rotation
>>matrix or rotation angle about an axis defined
>>by direction cosines, or a series of rotations about
>>principal axes, then this is a very simple program.
>>pdbset  (CCP4) or moleman (USF) do this and much more,
>>and are free to academic users. Otherwise they meet
>>your criteria.
> 
> 
> I get a lot of answers with graphical rotation controls using the mouse: I 
> think I have to explain how I "would like/need" to control the orientation of 
> my structure: I am NOT interested in controlling the orientation of my 
> structures using the mouse, i.e. I am NOT interested in a graphical control but 
> I would like to control the orientation using for instance atom names (in a 
> script):
> - I would like first to put the center of mass at 0, 0, 0
> - Then, select 2 atom names "A", "B" to define the O -> x axis and a third 
> one, "C" to define the plane o, x, y. Then, apply the rotation as previously 
> defined and save the structure to 'a' format.

Moleman will move the center of gravity to the origin,
perform rotations (and translations) specified in a number
of different ways, and write out the coordinates in pdb
(or other) formats.

If you need to also put an atom on the X axis, or a pair of
atoms parallel to X to define a standard position before
starting the rotations, you may need to do some programming
to save the origin-shifted file, grep out the atoms involved,
and do some algebra to determine the required rotation.
But if you can just use the original orientation, centered,
as your starting position then moleman will do everything.
The manual is at:
http://xray.bmc.uu.se/usf/moleman_man.html
Look at the commands  ORIGin_move and  ROTAte_molecule

> - I would also be interested in any other non-graphical reorientation 
> procedure. The idea is simply to have 'a' control of the structure orientation.

Posibilities are a full rotation matrix, eulerian angles, or an axis and the
rotation about it.
I can't put my hands on a good reference for the conventions now-
maybe a crystallography testbook.
You can also use LSQman to calculate an operator to take
certain atoms to the position of certain other atoms
by rotation/translation.

> 
> I also forgot to tell you that I need to load an input structure at a format 
> allowing at least 4 digits after the decimal points and obviously to save the 
> ouput reoriented structure with these same 4 digits. It means PDB format can be 
> used but the saved structure must be writen with these 4 digits. Another 
> solution are the sybyl or xyz formats.
> 
> Thanks, regards, Francois
> 
> TO UNSUBSCRIBE OR CHANGE YOUR SUBSCRIPTION OPTIONS, please see
> https://lists.sdsc.edu/mailman/listinfo.cgi/pdb-l .